import 'package:functions/src/core/data/models/entities/locate_device_request_entity.dart';
import 'package:functions/src/core/data/models/entities/set_pedometer_request_entity.dart';
import 'package:functions/src/features/activity_meter/domain/entities/activity_entity.dart';
import 'package:functions/src/features/contacts/domain/entities/contact_entity.dart';
import 'package:functions/src/features/remote_connection/domain/entities/picture_entity.dart';

abstract class FunctionsRepository {
  Future<List<ContactEntity>> getContacts({required String userId});

  Future<List<PictureEntity>> getPictures({required String userId});

  Future<PictureEntity> takePicture({required String userId});

  Future<void> locateDevice({required LocateDeviceRequestEntity request});

  Future<List<ActivityEntity>> getDeviceSteps({required String deviceId});

  Future<void> setPedometer({required SetPedometerRequestEntity request}) async {}
}
